package net.knarcraft.blacksmithvisuals;

import org.bukkit.plugin.java.JavaPlugin;

/**
 * The blacksmith visual main class
 */
@SuppressWarnings("unused")
public final class BlacksmithVisuals extends JavaPlugin {

    @Override
    public void onEnable() {
        // Plugin startup logic
        getServer().getPluginManager().registerEvents(new BlacksmithListener(), this);
        
        //TODO: Allow customization of sounds, volumes and pitches
        // Allow setting an idle position and a working position, and move the NPC to the right position at the right time.
        // Use the distance between the two locations to decide how much sooner before the success/fail sounds are played the NPC should start walking
    }

    @Override
    public void onDisable() {
        // Plugin shutdown logic
    }
}
